Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159095 - jar does not recognize the "i" command line option
Summary: jar does not recognize the "i" command line option
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL: http://java.sun.com/j2se/1.4.2/docs/t...
Whiteboard:
Depends On:
Blocks: FC4Update
TreeView+ depends on / blocked
 
Reported: 2005-05-29 10:24 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-02 02:11:55 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2005-05-29 10:24:51 UTC
jar from java-1.4.2-gcj-compat-devel-1.4.2.0-40jpp_24rh does not recognize the
"i" option, making it incompatible with for example Sun's jar tool.

  $ jar i foo.jar
  jar: invalid option -- i
  Try `jar --help' for more information.

More info about the "i" option and jar indexes:
http://java.sun.com/j2se/1.4.2/docs/tooldocs/solaris/jar.html
http://java.sun.com/j2se/1.4.2/docs/guide/jar/jar.html#JAR%20Index

I think might be a good idea to provide the "i" option in the jar tool included
in gcj-compat-devel even if it would be a no-op, with an appropriate warning
message.  That would provide command line compatibility; indexing of jars is an
optional optimization feature not really required by anything, and at best
rarely used.

Comment 1 Thomas Fitzsimmons 2005-05-29 17:17:27 UTC
OK, I'll submit a patch for this to fastjar upstream.


Comment 2 Thomas Fitzsimmons 2006-02-07 16:22:58 UTC
I submitted a patch for this upstream that creates a no-op -i option for
compatibility.  I'll close this bug when the fix lands in Rawhide.


Comment 3 Thomas Fitzsimmons 2006-02-08 05:53:02 UTC
Patch accepted and committed to gcc HEAD and 4.1 branches.


Comment 4 Thomas Fitzsimmons 2006-03-02 02:11:55 UTC
This landed in Rawhide with libgcj-4.1.0-1.  Closing.



Note You need to log in before you can comment on or make changes to this bug.